clang 10.0.0git

Public Types | Static Public Member Functions | List of all members
clang::CodeGen::DominatingPointer< T, true > Struct Template Reference

A partial specialization of DominatingValue for llvm::Values that might be llvm::Instructions. More...

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/CodeGen/CodeGenFunction.h"`

Inheritance diagram for clang::CodeGen::DominatingPointer< T, true >:
[legend]
Collaboration diagram for clang::CodeGen::DominatingPointer< T, true >:
[legend]

## Public Types
typedef T * | type
Public Types inherited from clang::CodeGen::DominatingLLVMValue
typedef llvm::PointerIntPair< llvm::Value *, 1, bool > | saved_type

## Static Public Member Functions
static type | restore (CodeGenFunction &CGF, saved_type value)
Static Public Member Functions inherited from clang::CodeGen::DominatingLLVMValue
static bool | needsSaving (llvm::Value *value)
| Answer whether the given value needs extra work to be saved. More...
static saved_type | save (CodeGenFunction &CGF, llvm::Value *value)
static llvm::Value * | restore (CodeGenFunction &CGF, saved_type value)

## Detailed Description

### template<class T>
struct clang::CodeGen::DominatingPointer< T, true >

A partial specialization of DominatingValue for llvm::Values that might be llvm::Instructions.

Definition at line 164 of file CodeGenFunction.h.

## Member Typedef Documentation

## ◆ type

template<class T >

typedef T* clang::CodeGen::DominatingPointer< T, true >::type

Definition at line 165 of file CodeGenFunction.h.

## Member Function Documentation

## ◆ restore()

template<class T >

static type clang::CodeGen::DominatingPointer< T, true >::restore | ( | CodeGenFunction & | CGF,
|  | saved_type | value
| ) |  |
| inline static

Definition at line 166 of file CodeGenFunction.h.

The documentation for this struct was generated from the following file:

- lib/CodeGen/CodeGenFunction.h